package com.hfkj.service;

import com.hfkj.entity.BsMerRate;
import java.util.List;

/**
 * 商户费率
 * @author hurui
 */
public interface BsMerRateService {

    /**
     * 编辑商户费率
     * @param merRate
     */
    void editMerRate(BsMerRate merRate);

    /**
     * 查询详情
     * @param merId
     * @param rateTypeCode
     * @return
     */
    BsMerRate getDetail(Long merId, Integer rateTypeCode);

    /**
     * 根据商户id 查询费率列表
     * @param merId
     * @return
     */
    List<BsMerRate> getRateListByMerId(Long merId);
}
